Bug 1459227 - Benchmark timings are incorrect for all workers in evm.log
Summary: Benchmark timings are incorrect for all workers in evm.log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.1
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard: provider
Depends On: 1424716
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-06 14:50 UTC by Satoe Imaishi
Modified: 2017-08-02 17:26 UTC (History)
10 users (show)

Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1424716
Environment:
Last Closed: 2017-08-02 17:26:33 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1758 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-08-02 21:23:43 UTC

Comment 2 CFME Bot 2017-06-06 15:13:36 UTC
New commit detected on ManageIQ/manageiq-gems-pending/fine:
https://github.com/ManageIQ/manageiq-gems-pending/commit/889c7c962f65c9bc6b84bd1c42d251f11067b3d0

commit 889c7c962f65c9bc6b84bd1c42d251f11067b3d0
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Apr 25 20:25:11 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 6 11:05:03 2017 -0400

    Merge pull request #139 from jrafanie/do_not_inherit_parent_benchmark_in_fork
    
    Use pid + thread id to index into the benchmark results
    (cherry picked from commit 1835f636234e1362a2cb875a95b8f84b4253859b)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459227

 lib/gems/pending/util/extensions/miq-benchmark.rb | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

Comment 3 Tasos Papaioannou 2017-06-26 18:14:21 UTC
Verified on 5.8.1.0.

Comment 5 errata-xmlrpc 2017-08-02 17:26:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758


Note You need to log in before you can comment on or make changes to this bug.